
<%
##
# provide locals: :item_to_portrait [ :shown_is=>[:security|:position|:organization|:quoterecords|:figures|:order|:workdesk} ]
#
security, organization, order = false, false, false
shown_is = false unless shown_is
sec_opts_list, org_opts_list, bookmarks = [], [], []

case item_to_portrait
    when Security then
        security = item_to_portrait
        organization = if security.id_organization >0 and security.id_organization != Smr::ID_UNIVERSE_ORGANIZATION then
            security.Organization
        else false end

    when Organization then
        organization = item_to_portrait

    when Order then
        order = item_to_portrait
        security = item_to_portrait.Security
        organization = security.Organization if security.id_organization != Smr::ID_UNIVERSE_ORGANIZATION
end

if security
    if [:organization, :position, :quoterecords, :figures, :order].include?(shown_is)
        sec_opts_list << link_to('P', security.link.to_url)
    end
    sec_opts_list << link_to('@workdesk', workdesk_add_path(:id_security=>security.id))
    Bookmark.for(security, current_user).each { |b| bookmarks << link_to(b.to_s, b.url) }
end

if organization
    if [:security, :position, :quoterecords, :figures, :order].include?(shown_is)
        org_opts_list << link_to('P', organization.link.to_url)
    end
    org_opts_list << link_to('@workdesk', workdesk_add_path(:id_organization=>organization.id))
    Bookmark.for(organization, current_user).each { |b| bookmarks << link_to(b.to_s, b.url) }
end

# what is shown when?
_show_symbol    = true if security and shown_is != :order
_show_position  = true if order
_show_figures   = true if security and not [:figures, :order].include?(shown_is)
_show_qr        = true if security and not [:quoterecords, :order].include?(shown_is)
_show_sec_opts  = true if not sec_opts_list.empty? and shown_is != :workdesk
_show_org_opts  = true if not org_opts_list.empty? and shown_is != :workdesk
_show_bookmarks = true if not bookmarks.empty?
%>

<div id="smart_links_head">
    <%= [
      ( _show_symbol    ? content_tag(:span, security.symbol, :class=>'symbol') : nil),

      ( security        ? 'security: ' : nil),
      ( _show_position  ? link_to('#%i'%order.Position.id, order.Position.link.to_url) + ', ' : nil),
      ( _show_figures   ? link_to('F',   '/figures?id_security=%s' % security.id) + ', ' : nil),
      ( _show_qr        ? link_to('QR',  '/quoterecords?id_security=%s' % security.id) + ', ' : nil),
      ( _show_sec_opts  ? sec_opts_list.join(', ') : nil),

      ( organization    ? 'organization: ' : nil),
      ( _show_org_opts  ? org_opts_list.join(', ') : nil),
      ( _show_bookmarks ? 'bookmarks: ' + bookmarks.join(', ') : nil),
    ].compact.join(' ').html_safe
    %>
</div>
